Subject: Re: Signaling specs

From: Danny McPherson <[email-masked]>
Date: Wed, 24 Jul 2002 09:36:23 -0600

[Please note the WG list cross-post and address issues as
suggested below, rather than cc'ing both mailing lists]

I'd agree that WG scope & charter WRT discovery, setup and 
maintenance functions needs to be more explicitly addressed 
in the PPVPN & PWE3 charters.  Based on recent feedback we
indeed do intend to better define what work resides where, 
etc..

I'll take the item to work with the Transport and Sub-IP ADs, 
as well as the PPVPN chairs, to see that this becomes more 
obvious (Note: making this "more obvious" will likely result
from charter updates in PPVPN &/or PWE3, a jointly signed 
statement in writing isn't likely :-).

If folks have strong feelings one way or another, please copy
the Transport and Sub-IP ADs, PPVPN chairs and myself.  If you'd
prefer to make your comments more public please try to avoid 
cross posting.  I'll send something within the next week or two 
summarizing the "proposal".

Thanks!

-danny

> It seems like we've been trying to figure out for years whether signaling is
> in the province  of PWE3 or PPVPN or  (in the case of MPLS)  MPLS, and we've
> never really  gotten a  straight answer.  However,  most of  the significant
> discussion of signaling has occurred in PPVPN, and there are WG documents in
> PPVPN that  discuss signaling.  So I for  one am surprised to  find out that
> anyone  has been  secretly assuming  that  all circuit  establishment is  in
> PWE3. 
> 
> I  would like to  see a  jointly signed  statement in  writing from  ALL the
> involved WG chairs and ADs stating the division of work clearly. 
> 
> Frankly, I think it makes more  sense to have the signaling in PWE3, because
> that enforces a clear separating of circuit setup/maintenance signaling from
> the VPN provisioning issues.  
> 
> As "martini  signaling" and its  off-shoots require LDP extensions,  I would
> also like some clarification as to the  way in which the MPLS WG needs to be
> involved. 
> 
> 
> 
>

---

From: "Khalid Ahmad" <[email-masked]>
Date: Thu, 25 Jul 2002 15:31:58 -0400

Hi Eric,

I would agree with you. I also am confused as to where the signaling work
related to interworking with MPLS etc. is to be done. 

Considering that signaling for pwe3 has wider context than just for VPNs, it
seems reasonable that it should be centered in the pwe3 WG rather than PPVPN
WG, who will presumably focus on only the VPN related requirements and
signaling protocol enhancements.

I accept that there are likely to be 'grey' areas of overlap which may
require joint work, but it would be useful to know who does what in respect
to signaling.

It is safe to assume that:

1.  The basic signaling capabilities to establish/tear down and maintain PWs
is done in PWE3 

2.  The capabilities necessary for support of the VPN related functions is
done in PPVPN

3.  The MPLS WG will obviously be jointly involved in any sigaling protocol
enhancements. 

Regards,
Khalid

-----Original Message-----
From: Eric Rosen [mailto:[email-masked]]
Sent: Wednesday, July 24, 2002 10:55 AM
To: [email-masked]
Cc: [email-masked]
Subject: [PWE3] Signaling specs

>From the minutes: 

> Kireeti - Should this work be done in PPVPN or PWE3?  (exchanging VC
labels)
> Danny - Endpoint discovery is PPVPN, signaling setup and maintenance is
PWE3
> Kireeti - Why is VPLS in PPVPN and not in PWE3? 
> Scott - We have been assuming that all circuit establishment is in PWE3

_______________________________________________
pwe3 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/pwe3